import {getMapValueByKey} from "@/utils/objectUtil";
import {clientType,} from "@/utils/constant";

export const getOwnerName = (musicSheetExtend: any, sourceType: string) => {
  let ownerName;
  if (musicSheetExtend?.userName) {
    ownerName = musicSheetExtend.userName
  }
  if (!ownerName) {
    return null
  }

  if (musicSheetExtend && musicSheetExtend.userName) {
    ownerName = musicSheetExtend.userName
    const appName = musicSheetExtend.applicationName;
    let typeName = getMapValueByKey(musicSheetExtend.clientType, new Map(Object.entries(clientType)));
    typeName = typeName ? '-' + typeName : '';
    const organizationRole = musicSheetExtend.organizationRole ? '-' + musicSheetExtend.organizationRole : '';
    if (sourceType == 'ORG') {
      ownerName += ' (' + appName + organizationRole + ')'
    } else if (sourceType == 'PERSON') {
      ownerName += ' (' + appName + typeName + ')'
    } else if (sourceType == 'PLATFORM') {
      ownerName += ' (' + appName + typeName + ')'
    }
  }
  return ownerName;
}